GET public actor instance
GET
/v1/actor/{actor_id}/instances/{instance}/fetchGET
/v1/actor/{actor_id}/instances/{instance}/fetch
const url = 'https://api.wabe.sh/v1/actor/779742ad-cd09-4e1c-9170-f20968b344d4/instances/room-1/fetch';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wabe.sh/v1/actor/779742ad-cd09-4e1c-9170-f20968b344d4/instances/room-1/fetchThe application authenticates the request. Wabe routes the request to the named instance on the registration’s default disk. See the actor transport protocol.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”actor_id
required
string format: uuid
Example
779742ad-cd09-4e1c-9170-f20968b344d4Actor registration ID.
instance
required
string
Example
room-1Instance name on the selected actor and disk.
Responses
Section titled “Responses”WebSocket upgrade.
Handler response. Streaming handlers can return an event stream.
default
Section titled “default”Handler status, headers and body, or a broker error.